ros-humble-pmb2-description (5.4.0-1jammy) jammy; urgency=high

  * Only run test_description test for the default config
  * Test xacros with urdf_test
  * Contributors: Mathias Lüdtke

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 05 Nov 2024 00:00:00 -0000

ros-humble-pmb2-description (5.3.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Oct 2024 00:00:00 -0000

ros-humble-pmb2-description (5.3.0-1jammy) jammy; urgency=high

  * Merge branch 'man/feat/docking' into 'humble-devel'
    added docking link in urdf
    See merge request robots/pmb2_robot!145
  * added docking link in urdf
  * Merge branch 'fix/add_slash_to_nodes' into 'humble-devel'
    Add slash to node names on parameter files
    See merge request robots/pmb2_robot!146
  * Add slash to node names on parameter files
  * Contributors: Jordan Palacios, Noel Jimenez, josegarcia, martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 03 Sep 2024 00:00:00 -0000

ros-humble-pmb2-description (5.2.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-humble-pmb2-description (5.1.3-1jammy) jammy; urgency=high

  * Merge branch 'tpe/fix/slipping' into 'humble-devel'
    Fix slippage gazebo issue happening on pmb2
    See merge request robots/pmb2_robot!144
  * Fix slippage gazebo issue happening on pmb2
  * Contributors: andreacapodacqua, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 19 Aug 2024 00:00:00 -0000

ros-humble-pmb2-description (5.1.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 07 Aug 2024 00:00:00 -0000

ros-humble-pmb2-description (5.1.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 00:00:00 -0000

ros-humble-pmb2-description (5.1.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 02 Aug 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.27-1jammy) jammy; urgency=high

  * Adapting gazebo parameters that was causing the base to move strangly
  * Defauld add-on-module is no-add-on
  * Contributors: David ter Kuile, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 31 Jul 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.26-1jammy) jammy; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Jul 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.25-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.24-1jammy) jammy; urgency=high

  * Merge branch 'dtk/rgbd-sensors' into 'humble-devel'
    Dtk/rgbd sensors
    See merge request robots/pmb2_robot!135
  * Change courier sensors to add-on-module
  * Change has_courier_rgbd_sensors to rgbd_sensors
  * Merge branch 'fix/set_casters_suspension_fixed' into 'humble-devel'
    Set casters and suspension joints to fixed
    See merge request robots/pmb2_robot!134
  * Set casters and suspension joints to fixed
  * Contributors: David ter Kuile, Noel Jimenez, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.23-1jammy) jammy; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Dtk/move robot args
    See merge request robots/pmb2_robot!133
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.22-1jammy) jammy; urgency=high

  * Merge branch 'omm/complete_std' into 'humble-devel'
    Complete std
    See merge request robots/pmb2_robot!129
  * Move _link to top file xacro
  * Remove colon from urdf
  * Update xacro of the base
  * Fix linters
  * Add public sim
  * URDF cleanup
  * Fix tests
  * Update copyright + move imu into sensors
  * Cleanup + move deg_to_rad to robot urdf
  * Bring back the parameters
  * Rename file because of dependency error, will be handled in another task
  * Unified style and namings
  * Cleaning and proper main structure
  * Launch standarization
  * Contributors: David ter Kuile, Oscar, davidterkuile, oscarmartinez, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.21-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.20-1jammy) jammy; urgency=high

  * Merge branch 'fix/aca/reduced-laser-noise' into 'humble-devel'
    reduced laser_noise
    See merge request robots/pmb2_robot!130
  * reduced laser_noise
  * Merge branch 'omm/fix/imu_proper_urdf' into 'humble-devel'
    IMU proper placement
    See merge request robots/pmb2_robot!127
  * Style and IMU proper placement
  * Contributors: Oscar, andreacapodacqua, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 03 Jun 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.19-1jammy) jammy; urgency=high

  * added public sim config mobile base controller and restored original laser noise
  * enable dlo sim and reduce laser noise
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Apr 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.18-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 11 Apr 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.17-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.16-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 02 Feb 2024 00:00:00 -0000

ros-humble-pmb2-description (5.0.15-1jammy) jammy; urgency=high

  * Use pal_urdf_utils materials and deg_to_rad
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Nov 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.13-1jammy) jammy; urgency=high

  * Add website tag
  * Rename description and controller modules
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.12-1jammy) jammy; urgency=high

  * Set use_sim_time false as default
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.11-1jammy) jammy; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 07 Nov 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.10-1jammy) jammy; urgency=high

  * fix laser_node name
  * Contributors: andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 19 Oct 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 20 Sep 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.8-1jammy) jammy; urgency=high

  * Add use_sim_time argument to use it in the robot description
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 04 Sep 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.7-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.6-1jammy) jammy; urgency=high

  * remove namespace for base sonars
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.5-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 May 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.4-1jammy) jammy; urgency=high

  * fix indentation
  * fix odometry plugin tags
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.3-1jammy) jammy; urgency=high

  * rename motors to actuators
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pmb2-description (5.0.0-1jammy) jammy; urgency=high

  * Merge branch 'transmissions' into 'humble-devel'
    Update wheels transmissions
    See merge request robots/pmb2_robot!91
  * update wheels transmissions
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-description (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    update package.xml deps, indentation fix
    See merge request robots/pmb2_robot!85
  * indentation fix
  * update package.xml deps
  * Merge branch 'fix_gz_physics' into 'humble-devel'
    Tune wheels physics to avoid slippage
    See merge request robots/pmb2_robot!84
  * tune wheels physics to avoid slippage
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_robot!82
  * update copyright
  * Merge branch 'refactor_ld_population' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_robot!81
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_robot!80
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    humble distro fixes
    See merge request robots/pmb2_robot!79
  * linters
  * launch files refactor
  * material Black
  * Merge branch 'pmb2_launcher' into 'galactic-devel'
    pmb2 launcher
    See merge request robots/pmb2_robot!76
  * robot control plugin if no simulation
  * Merge branch 'use-world-odometry-ros2' into 'foxy-devel'
    use our world odometry plugin
    See merge request robots/pmb2_robot!72
  * use our world odometry plugin
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-description (4.0.4-1jammy) jammy; urgency=high

  * Add missing exec dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.3-1jammy) jammy; urgency=high

  * Update to new transmission format
  * Cleanup
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.2-1jammy) jammy; urgency=high

  * Fix typo
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.1-1jammy) jammy; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (4.0.0-1jammy) jammy; urgency=high

  * Set back old version number before release
  * Restructuring code and add description test
  * No laser value is 'no-laser', change rgbd_sensors to courier_rgbd_sensors
  * Tune a bit physics to avoid joint slippage, specially in TIAGo
  * Correct physic property names for newer gazebo
  * Add ROS2 control imu
  * Add imu plugin
  * Migrate rest of lasers to ROS2
  * Renamed end_effector argument
  * Format
  * Fixed some tiago arguments
  * Add linters to pmb2_description and apply fixes
  * Move param utils to launch_pal
  * Add show.launch.py
  * Remove gazebo laser plugin namespace
  * Merge branch 'single_ros2_control_system' into 'foxy-devel'
    Single ROS2 control system
    See merge request robots/pmb2_robot!65
  * All joints now form part of a single ros2_control system
  * Fixes to gazebo ros2 control param changes
  * Update how ros2 gazebo plugin is loaded
  * Add wheel ros2_control file
  * First working version
  * Remove comments to workaround https://github.com/ros2/launch_ros/issues/214
  * First WIP of upload.py
  * Contributors: Jordan Palacios, Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-description (3.0.14-1jammy) jammy; urgency=high

  * Merge branch 'fix_wheel_slippage' into 'erbium-devel'
    Fix wheel slippage
    See merge request robots/pmb2_robot!62
  * Tuning mu1,mu2 parameters for reducing slippage during pure rotational speed cmds
  * Uss sphere and tuned contacts for collision links
  * test sphere collision mesh and contact parameters
  * Contributors: Luca Marchionni, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-humble-pmb2-description (3.0.13-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-description (3.0.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 Jul 2020 00:00:00 -0000

ros-humble-pmb2-description (3.0.11-1jammy) jammy; urgency=high

  * Merge branch 'elp-camera' into 'erbium-devel'
    Fix ELP rgb camera position and add its gazebo plugin
    See merge request robots/pmb2_robot!58
  * Fix ELP rgb camera position and add its gazebo plugin
  * Contributors: Sara Cooper, procopiostein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 10 Jul 2020 00:00:00 -0000

ros-humble-pmb2-description (3.0.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 21 Oct 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 02 Oct 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 27 Sep 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Sep 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.6-1jammy) jammy; urgency=high

  * scan_raw is the default laser topic
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 20 Sep 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.5-1jammy) jammy; urgency=high

  * Melodic compatibility
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 10 Sep 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.4-1jammy) jammy; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'
    Changes for multi pmb2 simulation
    See merge request robots/pmb2_robot!44
  * Changes for multi pmb2 simulation
  * Contributors: Adria Roig, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 17 Jul 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.3-1jammy) jammy; urgency=high

  * Merge branch 'enable_sonars' into 'erbium-devel'
    Add sonars argument to base_sensors
    See merge request robots/pmb2_robot!42
  * Added sonars argument to base_sensors
  * Contributors: Jordan Palacios, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.2-1jammy) jammy; urgency=high

  * Merge branch 'fix-inertia' into 'erbium-devel'
    Fix inertial parameters of the caster wheels
    See merge request robots/pmb2_robot!41
  * Fix inertial parameters of the caster wheels
    Also added friction and damping to improve behavior
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 31 Jan 2019 00:00:00 -0000

ros-humble-pmb2-description (3.0.1-1jammy) jammy; urgency=high

  * Fix tests
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Dec 2018 00:00:00 -0000

ros-humble-pmb2-description (3.0.0-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Remove upload_pmb2.launch
    See merge request robots/pmb2_robot!40
  * Add rgbd sensors
  * Change robot parameter name
  * Parametrize urdf
  * Remove upload_pmb2.launch
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'remove-caster-friction' into 'erbium-devel'
    Remove caster friction so it doesn't push base around
    See merge request robots/pmb2_robot!34
  * Remove caster friction so it doesn't push base around
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 27 Nov 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.7-1jammy) jammy; urgency=high

  * Merge branch 'fix-xacro-warnings' into 'erbium-devel'
    prepend missing 'xacro' tag
    See merge request robots/pmb2_robot!33
  * prepend missing 'xacro' tag
  * Merge branch 'fix-warning-typo' into 'erbium-devel'
    fix typo
    See merge request robots/pmb2_robot!32
  * fix typo
  * Contributors: Hilario Tome, Jordi Pages, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 30 Jul 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.6-1jammy) jammy; urgency=high

  * Merge branch 'fix_tf_depth_sensor' into 'erbium-devel'
    fixed the frame wrongly removed previously
    See merge request robots/pmb2_robot!31
  * removed rgb frames that are not present in this sensor
  * fixed the frame wrongly removed previously
  * Contributors: Andrei Pasnicenco, Hilario Tome, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.5-1jammy) jammy; urgency=high

  * Merge branch 'fix-tests-broken-due-to-stl' into 'erbium-devel'
    Revert "fixed warning when loading stl file"
    See merge request robots/pmb2_robot!29
  * Revert "fixed warning when loading stl file"
    This reverts commit 49e84804a24372815b2b500159369f1d63d02857.
  * Contributors: Hilario Tome, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.3-1jammy) jammy; urgency=high

  * Merge branch 'test-branch' into 'erbium-devel'
    Test branch
    See merge request robots/pmb2_robot!27
  * Merge branch 'fix-stl' into test-branch
  * Merge remote-tracking branch 'origin/fix_xacro_warning' into test-branch
  * fixed warning when loading stl file
  * fix missing xacro namespace
  * Merge remote-tracking branch 'origin/fixing_sim' into test-branch
  * Merge remote-tracking branch 'origin/deprecate_upload_pmb2' into test-branch
  * Merge remote-tracking branch 'origin/fix_xacro_warning' into test-branch
  * updated urdf file to get correct mesh and remove rgb related info
  * added structure sensor mesh
  * deprecate upload_pmb2
  * normalize xmlns across xacro files
  * fix xacro warning
    deprecated: xacro tags should be prepended with 'xacro' xml namespace.
    Use the following script to fix incorrect usage:
    find . -iname "*.xacro" | xargs sed -i 's#<([/]?)(if|unless|include|arg|property|macro|insert_block)#<1xacro:2#g'
  * rm usuless caster 1 collision mesh
  * fix casters
  * Contributors: Jeremie Deray, Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.2-1jammy) jammy; urgency=high

  * reduced sonars max range to avoid noise
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Apr 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.1-1jammy) jammy; urgency=high

  * delete transmission for passive joints
  * Contributors: Andrei Pasnicenco

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 29 Mar 2018 00:00:00 -0000

ros-humble-pmb2-description (2.0.0-1jammy) jammy; urgency=high

  * Merge branch 'collision_fix' into 'erbium-devel'
    caster wheels and base collision
    See merge request robots/pmb2_robot!19
  * gtests passed on the flat surface
  * linear move test passed
  * revert testing torque value
  * transmission caster
  * sufficient for tests
  * fix castor joints transmission
  * rotate and climb with a virtual suspension system and use caster wheels
  * virtual suspension and rolling caster wheels
  * high-res mesh of the base for visual geometry
  * Friction coeffs adjusted
  * caster wheels and base collision
    Note: Frictin coeffs mu1, mu2 in caster.gazebo.xacro can me adjusted to make robot stopping immideately
  * Contributors: Andrei Pasnicenco, Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 26 Mar 2018 00:00:00 -0000

ros-humble-pmb2-description (1.1.14-1jammy) jammy; urgency=high

  * Merge branch 'test_urdf' into 'dubnium-devel'
    Add URDF tests
    See merge request robots/pmb2_robot!17
  * Remove exec dependencies for pal_gazebo_plugins
  * Add URDF tests
  * Contributors: Adria Roig, Adrià Roig, davidfernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jan 2018 00:00:00 -0000

ros-humble-pmb2-description (1.1.13-1jammy) jammy; urgency=high

  * renamed depth sensor
  * add rgbd related files and config to description
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 27 Sep 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.12-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 30 Jun 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.11-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 30 Jun 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.10-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 29 Jun 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.9-1jammy) jammy; urgency=high

  * upgraded packages format, maintainers and license
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.8-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Apr 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 23 Feb 2017 00:00:00 -0000

ros-humble-pmb2-description (1.1.6-1jammy) jammy; urgency=high

  * invert sonars 1 and 3
  * Contributors: Jordi Pages

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 07 Nov 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.5-1jammy) jammy; urgency=high

  * Now launch files are more like those for TIAGo
  * add tiago_support as maintainer
  * Contributors: Jordan Palacios, Jordi Pages

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Oct 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.4-1jammy) jammy; urgency=high

  * corrected imu frame, z always point upwards
    this is because the imu 6050 zeros itself (at least wrt pitch)
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 04 Jul 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.3-1jammy) jammy; urgency=high

  * update sonars min/max range
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 15 Jun 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.2-1jammy) jammy; urgency=high

  * sonar ID two digit
  * Add imu controller to launch
  * Add imu gazebo plugin config
  * 1.1.1
  * Update changelog
  * Updated to new generic pal hardware gazebo plugin
  * Simplified base collision
    Now the base_link has a mesh that touches with the ground
  * Contributors: Jeremie Deray, Sam Pfeiffer

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 03 Jun 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.1-1jammy) jammy; urgency=high

  * Updated to new generic pal hardware gazebo plugin
  * Simplified base collision
    Now the base_link has a mesh that touches with the ground
  * Contributors: Sam Pfeiffer

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 15 Apr 2016 00:00:00 -0000

ros-humble-pmb2-description (1.1.0-1jammy) jammy; urgency=high

  * urdf use macro param default value
  * fix urdf laser
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 15 Mar 2016 00:00:00 -0000

ros-humble-pmb2-description (1.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 03 Mar 2016 00:00:00 -0000

ros-humble-pmb2-description (1.0.5-1jammy) jammy; urgency=high

  * update gazebo sick 561 571 with proper params
  * rename base_default to base_sensors
  * remove base_full.urdf.xacro
  * add gazebo draft sick 561 & 571
  * pmb2 desscription upload default
  * rm full urdf
  * base_default now holds all sensors with option
  * pmb2 urdf diff Sick
  * Contributors: Jeremie Deray

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-humble-pmb2-description (1.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 26 Oct 2015 00:00:00 -0000

ros-humble-pmb2-description (1.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Oct 2015 00:00:00 -0000

ros-humble-pmb2-description (1.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Oct 2015 00:00:00 -0000

ros-humble-pmb2-description (1.0.1-1jammy) jammy; urgency=high

  * 1.0.0
  * Add changelog
  * Add changelog
  * Merging metal base branch
  * urdf full calls default & add sonar/micro
  * urdf default calls base & add laser
  * urdf base contains basics e.g. wheels
  * add full_sick urdf
  * add base_default urdf
  * renamed base -> base_full
  * Update maintainer
  * Replace caster collision with spheres, fix spinning
  * Remove spanish character nonvalid to xacro
  * Update placement and name of base imu
  * Add collision to antenna
  * Update caster locations
  * Add microphone locations
  * Added sonars with proper colors
  * Add color to gazebo
  * Add antennas
  * New meshes
  * Remove references to xtion
  * Remove robot model scripts
  * Add inertial params to main body
  * Remove bumpers
  * Remove rear cover
  * More battery removed
  * Remove charger
  * Remove battery
  * Remove base_rgbd
  * Fix color of wheels in gazebo
  * Add new cover and orange ring around body
  * Contributors: Bence Magyar, Jeremie Deray, Luca Marchionni

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Oct 2015 00:00:00 -0000

ros-humble-pmb2-description (1.0.0-1jammy) jammy; urgency=high

  * Add changelog
  * Merging metal base branch
  * urdf full calls default & add sonar/micro
  * urdf default calls base & add laser
  * urdf base contains basics e.g. wheels
  * add full_sick urdf
  * add base_default urdf
  * renamed base -> base_full
  * Update maintainer
  * Replace caster collision with spheres, fix spinning
  * Remove spanish character nonvalid to xacro
  * Update placement and name of base imu
  * Add collision to antenna
  * Update caster locations
  * Add microphone locations
  * Added sonars with proper colors
  * Add color to gazebo
  * Add antennas
  * New meshes
  * Remove references to xtion
  * Remove robot model scripts
  * Add inertial params to main body
  * Remove bumpers
  * Remove rear cover
  * More battery removed
  * Remove charger
  * Remove battery
  * Remove base_rgbd
  * Fix color of wheels in gazebo
  * Add new cover and orange ring around body
  * Contributors: Bence Magyar, Jeremie Deray, Luca Marchionni

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 29 Sep 2015 00:00:00 -0000

ros-humble-pmb2-description (0.10.0-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Jul 2015 00:00:00 -0000

ros-humble-pmb2-description (0.9.10-1jammy) jammy; urgency=high

  * Merge from REEM-C params
  * Fix and add link names in macro
  * Contributors: Bence Magyar

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 27 Feb 2015 00:00:00 -0000

ros-humble-pmb2-description (0.9.9-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Feb 2015 00:00:00 -0000

ros-humble-pmb2-description (0.9.8-1jammy) jammy; urgency=high

  * Add inertial block to xtion pro live
  * Add inertial block to range sensor
  * Add conditional for base rgbd sensor
  * Chop off frontal antennas
  * Use ${name} for imu
  * Put sonars with its rear cover
  * Make rgbd camera fixed
  * Add microphones
  * Add bumper
  * Update meshes
  * Use base_footprint_link
  * Update meshes
  * Add comment to show Joint, Child, Parent
  * Remove sensors not needed
  * Use 0.27m for footprint radius
  * Add kinematics and stl files (except for the base)
  * Add kinematics xlsx to URDF converter/helper
  * Contributors: Bence Magyar, Enrique Fernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Feb 2015 00:00:00 -0000

ros-humble-pmb2-description (0.9.7-1jammy) jammy; urgency=high

  * Update URDF (only locations)
  * Replace ant -> pmb2
  * Rename files
  * Contributors: Enrique Fernandez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Feb 2015 00:00:00 -0000


